<?php
/**
 * Elements for clone
 *
 * @package     Wow_Plugin
 * @copyright   Copyright (c) 2018, Dmytro Lobov
 * @license     http://opensource.org/licenses/gpl-2.0.php GNU Public License
 * @since       1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

include_once( 'settings/clone.php' );
?>

<fieldset class="itembox" id="adding-menu-1">
  <legend>
    <?php _e( 'Item ', $this->text_domain ); ?> <span class="item"></span>
  </legend>
  <div class="control">
    <span class="dashicons dashicons-move"></span>
    <span class="dashicons dashicons-minus toogle"></span>
    <span class="dashicons dashicons-plus toogle"></span>
    <span class="dashicons dashicons-no-alt item-del"></span>
  </div>
  <div class="menu_block">
    <div class="container">
      <div class="element">
        <?php _e( 'Icon', $this->text_domain ); ?>
        ( <?php _e( 'custom', $this->text_domain ); ?>
        <?php echo self::option( $menu_1_item_custom ); ?> )
        <br/>
        <?php echo self::option( $menu_1_item_icon ); ?>
        <?php echo self::option( $menu_1_item_custom_link ); ?>

      </div>
      <div class="element">
        <?php _e( 'Label Text', $this->text_domain ); ?>
        <br/>
        <?php echo self::option( $menu_1_item_tooltip ); ?>
      </div>
      <div class="element">
        <?php echo self::option( $menu_1_hold_open ); ?>
        <?php _e( 'Hold open', $this->text_domain ); ?>
      </div>
    </div>
    <div class="container">
      <div class="element">
        <?php _e( 'Item type', $this->text_domain ); ?><br/>
        <?php echo self::option( $menu_1_item_type ); ?>
      </div>
      <div class="element type-param">
        <div class="type-link">
          <span class="type-link-text">Link</span>
          <br/>
          <?php echo self::option( $menu_1_item_link ); ?>
        </div>
        <div class="type-share">
          <?php _e( 'Social Networks', $this->text_domain ); ?><br/>
          <?php echo self::option( $menu_1_item_share ); ?>
        </div>
        <div class="type-modal">
          <?php _e( 'Enter value', $this->text_domain ); ?>: <br/>
          <?php echo self::option( $menu_1_item_modal ); ?>
          <?php _e( '(e.g.: wow-modal-id-1)', $this->text_domain ); ?>
        </div>
      </div>
      <div class="element type-link-blank">
        <?php echo self::option( $menu_1_new_tab ); ?>
        <?php _e( 'Open in new window', $this->text_domain ); ?>
      </div>
    </div>

    <div class="container">
      <div class="element">
        <?php _e( 'Font Сolor', $this->text_domain ); ?><br/>
        <?php echo self::option( $menu_1_color ); ?>
      </div>
      <div class="element">
        <?php _e( 'Icon Сolor', $this->text_domain ); ?><br/>
        <?php echo self::option( $menu_1_iconcolor ); ?>
      </div>
      <div class="element">
        <?php _e( 'Background', $this->text_domain ); ?><br/>
        <?php echo self::option( $menu_1_bcolor ); ?>
      </div>
    </div>

    <div class="container">
      <div class="element">
        <?php _e( 'Background Hover', $this->text_domain ); ?><br/>
        <?php echo self::option( $menu_1_hbcolor ); ?>
      </div>
      <div class="element">
        <?php _e( 'ID for element', $this->text_domain ); ?><br/>
        <?php echo self::option( $menu_1_button_id ); ?>
      </div>
      <div class="element">
        <?php _e( 'Class for element', $this->text_domain ); ?><br/>
        <?php echo self::option( $menu_1_button_class ); ?>
      </div>

    </div>
  </div>
</fieldset>
