<?php
/**
 * Main Settings
 *
 * @package     Wow_Plugin
 * @copyright   Copyright (c) 2018, Dmytro Lobov
 * @license     http://opensource.org/licenses/gpl-2.0.php GNU Public License
 * @since       1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
include_once( 'settings/main.php' );

?>

<div class="container">
  <div class="element">
		<?php _e( 'Position', $this->text_domain ); ?><?php echo self::tooltip( $menu_help ); ?><br/>
		<?php echo self::option( $menu ); ?>

  </div>
  <div class="element">
		<?php _e( 'Vertical alignment', $this->text_domain ); ?><?php echo self::tooltip( $align_help ); ?><br/>
		<?php echo self::option( $align ); ?>
  </div>
  <div class="element">
		<?php _e( 'Offset', $this->text_domain ); ?><?php echo self::tooltip( $margin_help ); ?><br/>
		<?php echo self::option( $margin ); ?>
  </div>
</div>

<div class="container">
  <div class="element">
		<?php _e( 'Item Width', $this->text_domain ); ?><?php echo self::tooltip( $width_help ); ?><br/>
		<?php echo self::option( $width ); ?>
  </div>
  <div class="element">
		<?php _e( 'Item Height', $this->text_domain ); ?><?php echo self::tooltip( $height_help ); ?><br/>
		<?php echo self::option( $height ); ?>
  </div>
  <div class="element">
		<?php _e( 'Space between items', $this->text_domain ); ?><?php echo self::tooltip( $gap_help ); ?><br/>
		<?php echo self::option( $gap ); ?>
  </div>
</div>

<div class="container">
  <div class="element">
		<?php _e( 'Font size', $this->text_domain ); ?><?php echo self::tooltip( $fontsize_help ); ?><br/>
		<?php echo self::option( $fontsize ); ?>
  </div>
  <div class="element">
		<?php _e( 'Font style', $this->text_domain ); ?><br/>
		<?php echo self::option( $fontstyle ); ?>
  </div>
  <div class="element">
    <?php _e( 'Font weight', $this->text_domain ); ?><br/>
    <?php echo self::option( $fontweight ); ?>
  </div>
</div>

<div class="container">
  <div class="element">
		<?php _e( 'Icon size', $this->text_domain ); ?><?php echo self::tooltip( $iconsize_help ); ?><br/>
		<?php echo self::option( $iconsize ); ?>
  </div>
  <div class="element">
		<?php _e( 'Custom image width', $this->text_domain ); ?><?php echo self::tooltip( $iwidth_help ); ?><br/>
		<?php echo self::option( $iwidth ); ?>
  </div>
  <div class="element">
    <?php _e( 'Border width', $this->text_domain ); ?><?php echo self::tooltip( $bwidth_help ); ?><br/>
    <?php echo self::option( $bwidth ); ?>
  </div>
</div>

<div class="container">
  <div class="element">
		<?php _e( 'Top border radius', $this->text_domain ); ?><?php echo self::tooltip( $bradiustop_help ); ?><br/>
		<?php echo self::option( $bradiustop ); ?>
  </div>
  <div class="element">
		<?php _e( 'Bottom border radius', $this->text_domain ); ?><?php echo self::tooltip( $bradiusbottom_help ); ?><br/>
		<?php echo self::option( $bradiusbottom ); ?>
  </div>
  <div class="element">
    <?php _e( 'Border color', $this->text_domain ); ?><?php echo self::tooltip( $bcolor_help ); ?><br/>
    <?php echo self::option( $bcolor ); ?>
  </div>
</div>


