<?php
/**
 * Main Settings
 *
 * @package     Wow_Plugin
 * @copyright   Copyright (c) 2018, Dmytro Lobov
 * @license     http://opensource.org/licenses/gpl-2.0.php GNU Public License
 * @since       1.0
 */


$tax_args   = array(
	'public'   => true,
	'_builtin' => false
);
$output     = 'names';
$operator   = 'and';
$taxonomies = get_taxonomies( $tax_args, $output, $operator );

$show_option = array(
	'all'        => __( 'All posts and pages', $this->text_domain ),
	'onlypost'   => __( 'All posts', $this->text_domain ),
	'onlypage'   => __( 'All pages', $this->text_domain ),
	'posts'      => __( 'Posts with certain IDs', $this->text_domain ),
	'pages'      => __( 'Pages with certain IDs', $this->text_domain ),
	'postsincat' => __( 'Posts in Categorys with IDs', $this->text_domain ),
	'expost'     => __( 'All posts. except...', $this->text_domain ),
	'expage'     => __( 'All pages, except...', $this->text_domain ),
	'shortecode' => __( 'Where shortcode is inserted', $this->text_domain ),
);
if ( $taxonomies ) {
	$show_option['taxonomy'] = __( 'Taxonomy', $this->text_domain );
}

$show = array(
	'id'     => 'show',
	'name'   => 'param[show]',
	'type'   => 'select',
	'val'    => isset( $param['show'] ) ? $param['show'] : 'all',
	'option' => $show_option,
	'func'   => 'showchange(this);',
	'sep'    => '<p/>',
);

$show_help = array(
	'text' => __( 'Choose a condition to target to specific content.', $this->text_domain ),
);

// Taxonomy
$taxonomy_option = array();
if ( $taxonomies ) {
	foreach ( $taxonomies as $taxonomy ) {
		$taxonomy_option[ $taxonomy ] = $taxonomy;
	}
}

$taxonomy = array(
	'id'     => 'taxonomy',
	'name'   => 'param[taxonomy]',
	'type'   => 'select',
	'val'    => isset( $param['taxonomy'] ) ? $param['taxonomy'] : '',
	'option' => $taxonomy_option,
	'sep'    => '<p/>',
);

// Content ID'sa
$id_post = array(
	'id'     => 'id_post',
	'name'   => 'param[id_post]',
	'type'   => 'text',
	'val'    => isset( $param['id_post'] ) ? $param['id_post'] : '',
	'option' => array(
		'placeholder' => __( 'Enter IDs, separated by comma.', $this->text_domain ),
	),
	'sep'    => '<p/>',
);