<?php
/**
 * Main Settings param
 *
 * @package     Wow_Plugin
 * @copyright   Copyright (c) 2018, Dmytro Lobov
 * @license     http://opensource.org/licenses/gpl-2.0.php GNU Public License
 * @since       1.0
 */

include_once( 'icons.php' );
$icons_new = array();
foreach ( $icons as $key => $value ) {
  $icons_new[ $value ] = $value;
}

// Position of the menu
$menu = array(
  'id'     => 'position',
  'name'   => 'param[menu]',
  'type'   => 'select',
  'val'    => isset( $param[ 'menu' ] ) ? $param[ 'menu' ] : 'left',
  'option' => array(
    'left' => __( 'Left', $this->text_domain ),
    'right' => __( 'Right', $this->text_domain ),
  ),
);

// Menu position help
$menu_help = array (
  'text' => __('Specify menu position on screen.', $this->text_domain),
);

// Menu Vertical alignment
$align = array(
	'name'   => 'param[align]',
	'id'     => 'align',
	'class'  => '',
	'type'   => 'select',
	'val'    => isset( $param['align'] ) ? $param['align'] : 'center',
	'option' => array(
	  'top' => __( 'Top', $this->text_domain ),
		'center' => __( 'Center', $this->text_domain ),
		'bottom' => __( 'Bottom', $this->text_domain ),
	),
);

// Menu Vertical alignment help
$align_help = array (
  'text' => __('Specify the vertical positioning of the menu.', $this->text_domain),
);

// Offset from start position
$margin = array(
  'name'   => 'param[margin]',
  'id'     => 'margin',
  'type'   => 'number',
  'val'    => isset( $param[ 'margin' ] ) ? $param[ 'margin' ] : '0',
  'option' => array(
    'step'        => '1',
    'placeholder' => '10',
  ),
);

$margin_help = array (
  'text' => __('Offset from base position on screen in (px).', $this->text_domain),
);

// Menu item Width
$width = array(
  'name'   => 'param[width]',
  'id'     => 'width',
  'type'   => 'number',
  'val'    => isset( $param[ 'width' ] ) ? $param[ 'width' ] : '240',
  'option' => array(
    'min'         => '0',
    'step'        => '1',
    'placeholder' => '240',
  ),
);

$width_help = array (
  'text' => __('The width of the menu items when hovering on the element in (px).', $this->text_domain),
);

// Menu item height
$height = array(
  'name'   => 'param[height]',
  'id'     => 'height',
  'type'   => 'number',
  'val'    => isset( $param[ 'height' ] ) ? $param[ 'height' ] : '40',
  'option' => array(
    'min'         => '0',
    'step'        => '1',
    'placeholder' => '40',
  ),
);

$height_help = array (
  'text' => __('The height of the menu items in (px).', $this->text_domain),
);

// Space between items
$gap = array(
  'name'   => 'param[gap]',
  'id'     => 'gap',
  'type'   => 'number',
  'val'    => isset( $param[ 'gap' ] ) ? $param[ 'gap' ] : '2',
  'option' => array(
    'step'        => '1',
    'placeholder' => '2',
  ),
);

$gap_help = array (
  'text' => __('The height of the menu items in (px).', $this->text_domain),
);

// Font size 
$fontsize = array(
  'name'   => 'param[fontsize]',
  'id'     => 'fontsize',
  'type'   => 'number',
  'val'    => isset( $param[ 'fontsize' ] ) ? $param[ 'fontsize' ] : '24',
  'option' => array(
    'step'        => '1',
    'placeholder' => '24',
  ),
);

// Font size helper
$fontsize_help = array (
  'text' => __('Set the font size for label content in px', $this->text_domain),
);


// Font Style
$fontstyle = array(
  'id'   => 'fontstyle',
  'name' => 'param[fontstyle]',
  'type' => 'select',
  'val' => isset( $param['fontstyle'] ) ? $param['fontstyle'] : 'normal',
  'option' => array (
    'normal' => 'Normal',
    'italic' => 'Italic',
  ),
);

// Font weight
$fontweight = array(
	'name'   => 'param[fontweight]',
	'id'     => 'fontweight',
	'class'  => '',
	'type'   => 'select',
	'val'    => isset( $param['fontweight'] ) ? $param['fontweight'] : '',
	'option' => array(
		'normal' => __( 'Normal', $this->text_domain ),
		'bold' => __( 'Bold', $this->text_domain ),
		'bolder' => __( 'Bolder', $this->text_domain ),
		'lighter' => __( 'Lighter', $this->text_domain ),
	),
);

// Icon size
$iconsize = array(
  'name'   => 'param[iconsize]',
  'id'     => 'iconsize',
  'type'   => 'number',
  'val'    => isset( $param[ 'iconsize' ] ) ? $param[ 'iconsize' ] : '24',
  'option' => array(
    'min'         => '0',
    'max'         => '60',
    'step'        => '1',
    'placeholder' => '24',
  ),
);

$iconsize_help = array (
  'text' => __('Set the size for icon in px', $this->text_domain),
);


// Custom image width
$iwidth = array(
  'name'   => 'param[iwidth]',
  'id'     => 'iwidth',
  'type'   => 'number',
  'val'    => isset( $param[ 'iwidth' ] ) ? $param[ 'iwidth' ] : '',
  'option' => array(
    'min'         => '0',
    'step'        => '1',
    'placeholder' => '0',
  ),
  'func'   => '',
  'sep'    => '',
);

$iwidth_help = array (
  'text' => __('Set the size for Custom icon in px', $this->text_domain),
);

// Border width (px)
$bwidth = array(
  'name'   => 'param[bwidth]',
  'id'     => 'bwidth',
  'type'   => 'number',
  'val'    => isset( $param[ 'bwidth' ] ) ? $param[ 'bwidth' ] : '0',
  'option' => array(
    'min'         => '0',
    'step'        => '1',
    'placeholder' => '0',
  ),
);

$bwidth_help = array (
  'text' => __('Set the border width for menu items in px', $this->text_domain),
);

// Border radius top
$bradiustop = array(
  'name'   => 'param[bradiustop]',
  'id'     => 'bradiustop',
  'type'   => 'number',
  'val'    => isset( $param[ 'bradiustop' ] ) ? $param[ 'bradiustop' ] : '0',
  'option' => array(
    'min'         => '0',
    'step'        => '1',
    'placeholder' => '0',
  ),
);

$bradiustop_help = array (
  'text' => __('Set the radius for the menu item top corner in px', $this->text_domain),
);

// Border radius bottom
$bradiusbottom = array(
  'name'   => 'param[bradiusbottom]',
  'id'     => 'bradiusbottom',
  'type'   => 'number',
  'val'    => isset( $param[ 'bradiusbottom' ] ) ? $param[ 'bradiusbottom' ] : '0',
  'option' => array(
    'min'         => '0',
    'step'        => '1',
    'placeholder' => '0',
  ),
  'func'   => '',
  'sep'    => '',
);

$bradiusbottom_help = array (
  'text' => __('Set the radius for the menu item bottom corner in px', $this->text_domain),
);

// Border color
$bcolor = array(
  'name' => 'param[bcolor]',
  'id'   => 'bcolor',
  'type' => 'color',
  'val'  => isset( $param[ 'bcolor' ] ) ? $param[ 'bcolor' ] : '#rgba(0,0,0,0.75)',
  'sep'  => '',
);

$bcolor_help = array (
  'text' => __('Set the border color', $this->text_domain),
);
