/* ========= INFORMATION ============================
	- document:  Side Menu Pro - provide any extra content and functionality with the attention-grabbing side menu!
	- author:    Wow-Company & Dmytro Lobov 
	- profile:   https://wow-estore.com/
	- version:   3.0
	- email:     support@wow-company.com
==================================================== */

(function($) {
  "use strict";
  $.fn.SideMenu = function(options) {
    var settings = $.extend({
      Location: ["left", "center", 0],
      Width: 240,
      Height: 40,
      Border: [0, "white", 0],
      Gap: 1,
      FontSize: [16, 24]
    }, options);
    return this.each(function() {
      var self = this;
      var id = self.id;
      var width = settings.Width - settings.Height - settings.Border[0];
      styles();

      function styles() {
        $(self).addClass('side-menu');
        var litem = $(self).children(".sm-item").length;
        var hitem = settings.Height + settings.Border[0] * 2;
        var hmenu = 0;
        for (var i = 1; i <= litem; i++) {
          $(self).children(".sm-item:nth-child(" + i + ")").css({
            "top": hmenu + 'px',
            'color': settings.Items[i - 1][0],
            'background': settings.Items[i - 1][2],
          });
          if( settings.Items[i - 1][4] !== true) {
            if (settings.Location[0] == 'left') {
              $(self).children(".sm-item:nth-child(" + i + ")").css({
                'left': '-' + width + 'px',
              });
            }
            else {
              $(self).children(".sm-item").css({
                'right': '-' + width + 'px',
              });
            }
          }          $("#" + id + " .sm-item:nth-child(" + i + ")").children(".sm-icon").css({
            'color': settings.Items[i - 1][1],
          });
          hmenu = hmenu + hitem * 1 + settings.Gap;
        }
        var wh = $(window).height();
        if (settings.Location[1] == 'center') {
          $(self).css({
            "top": (wh - hmenu) / 2
          });
        } else if (settings.Location[1] == 'bottom') {
          $(self).css({
            "bottom": hmenu + settings.Location[2]
          });
        } else if (settings.Location[1] == 'top') {
          $(self).css({
            "top": 0 + settings.Location[2]
          });
        }
        $(self).children(".sm-item").css({
          'width': settings.Width + 'px',
          'border': settings.Border[0] + 'px solid ' + settings.Border[1],
          'font-size': settings.FontSize[0] + 'px',
          'font-style': settings.FontStyle[0],
          'font-weight': settings.FontStyle[1],
        });
        $(self).find(".sm-icon").css({
          'height': settings.Height + 'px',
          'line-height': settings.Height + 'px',
          'width': settings.Height + 'px',
          'font-size': settings.FontSize[1] + 'px',
        });
        if (settings.Location[0] == 'left') {
          $(self).addClass('sm-left');

          $(self).children(".sm-item").css({
            // 'left': '-' + width + 'px',
            'border-radius': '0 ' + settings.Border[2] + 'px ' + settings.Border[3] + 'px 0',
          });
        } else {
          $(self).addClass('sm-right');
          $(self).children(".sm-item").css({
            'border-radius': settings.Border[2] + 'px 0 0 ' + settings.Border[3] + 'px',
          });
        }
      };

      function b() {
        var bci = $(this).index();
        if (settings.Location[0] == 'left') {
          $(this).css({
            'left': '-1px',
            'background': settings.Items[bci][3],
          });
        } else {
          $(this).css({
            'right': '-1px',
            'background': settings.Items[bci][3],
          });
        }
      }

      function d() {
        var bci = $(this).index();
        if (settings.Location[0] == 'left') {
          $(this).css({
            'left': '-' + width + 'px',
            'background': settings.Items[bci][2],
          });
        } else {
          $(this).css({
            'right': '-' + width + 'px',
            'background': settings.Items[bci][2],
          });
        }
      }
      $(self).children(this).on("mouseenter", b);
      $(self).children(this).on("mouseleave", d);


    });
  }
}(jQuery));

function scrollToTop() {
  jQuery('body,html').animate({
    scrollTop: 0
  }, 777);
}

function pageprint() {
  window.print();
}

function smoothscroll(section) {
  jQuery('html, body').animate({
    scrollTop: jQuery(section).offset().top,
  }, 777);
}