<?php
/**
 * Deactivate license
 *
 * @package     Include
 * @subpackage  Update
 * @copyright   Copyright (c) 2017, Dmytro Lobov
 * @license     http://opensource.org/licenses/gpl-2.0.php GNU Public License
 * @since       1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( isset( $_POST[ 'wow_license_deactivate_' . $this->plugin_pref ] ) ) {
	if ( ! check_admin_referer( 'wow_nonce_' . $this->plugin_pref, 'wow_nonce_' . $this->plugin_pref ) ) {
		return;
	}
	$license    = trim( get_option( 'wow_license_key_' . $this->plugin_pref ) );
	$api_params = array(
		'edd_action' => 'deactivate_license',
		'license'    => $license,
		'item_name'  => urlencode( $this->plugin_name ),
		'url'        => home_url()
	);
	$response   =
		wp_remote_post( $this->author_url, array( 'timeout' => 15, 'sslverify' => false, 'body' => $api_params ) );
	// make sure the response came back okay
	if ( is_wp_error( $response ) || 200 !== wp_remote_retrieve_response_code( $response ) ) {
		if ( is_wp_error( $response ) ) {
			$message = $response->get_error_message();
		} else {
			$message = __( 'An error occurred, please try again.' );
		}
		$base_url = admin_url( 'admin.php?page=' . $this->plugin_slug . '&tab=license' );
		$redirect = add_query_arg( array( 'sl_activation' => 'false', 'message' => urlencode( $message ) ), $base_url );
		wp_redirect( $redirect );
		exit();
	}
	// decode the license data
	$license_data = json_decode( wp_remote_retrieve_body( $response ) );
	// $license_data->license will be either "deactivated" or "failed"
	if ( $license_data->license == 'deactivated' ) {
		delete_option( 'wow_license_status_' . $this->plugin_pref );
	}
	wp_redirect( admin_url( 'admin.php?page=' . $this->plugin_slug . '&tab=license' ) );
	exit();
}