<?php 
	/**
		* License Page
		*
		* @package     Wow_Plugin
		* @copyright   Copyright (c) 2018, Dmytro Lobov
		* @license     http://opensource.org/licenses/gpl-2.0.php GNU Public License
		* @since       1.0
	*/
	if ( ! defined( 'ABSPATH' ) ) exit; ?>

	<style>
	.feature-section.one-col p {
		font-size: 16px;
	}
	.feature-section pre {		
		box-sizing: border-box;
		width: 100%;	
		margin: 0;
		overflow: auto;
		overflow-y: hidden;
		font-size: 12px;
		line-height: 20px;
		background: #fff !important;
		border: 1px solid #777;		
		padding: 10px;
		color: #333;
	}
	.form-table tr {   
    background: #fff;
    border: 1px solid #ccc;   
    width: 350px;
    padding: 14px;
    min-height: 220px;
    position: relative;
    box-sizing: border-box;
		display: block;
		margin: 0 auto;
	}
	.form-table th {
    background: #f9f9f9;
    padding: 14px;
    border-bottom: 1px solid #ccc;
    margin: -14px -14px 20px;
    width: 100%;
		display: block;
	}
	.form-table td {
		display: block;			
	}
	.form-table td input.regular-text {
    margin: 0 0 8px;
    width: 100%;
	}
	.form-table td div {		
    margin-top: 14px;
    border-top: 1px solid #eee;   
    width: 100%;   
	}
	.form-table p.submit {
		margin-top: 25px;
		padding: 0;
		text-align: right;
	}		
	</style>
	
<div class="about-wrap full-width-layout">
	<div class="feature-section one-col">
		<div class="col">
			
			<form method="post" action="options.php">
				<?php 
					$license = get_option( 'wow_license_key_' . $this->plugin_pref );
					$status = get_option( 'wow_license_status_' . $this->plugin_pref );
					
					settings_fields('wow_license_' . $this->plugin_pref); ?>				
				<table class="form-table">
					<tr>
					<th scope="row"><?php _e('Enter Your License key', $this->text_domain); ?></th>
						<td>
							
							<input id="wow_license_key_<?php echo $this->plugin_pref;?>" name="wow_license_key_<?php echo $this->plugin_pref;?>" type="text" class="regular-text" value="<?php esc_attr_e( $license ); ?>" placeholder="Enter your license key" />
							
							<?php if( !empty( $license ) ) { ?>
								<?php if( $status !== false && $status == 'valid' ) { ?>																
									
									<?php wp_nonce_field( 'wow_nonce_'.$this->plugin_pref, 'wow_nonce_'.$this->plugin_pref ); ?>
									<input type="submit" class="button-secondary" name="wow_license_deactivate_<?php echo $this->plugin_pref;?>" value="<?php _e('Deactivate License', $this->text_domain); ?>"/>
									<p/>
									<b><?php _e('Plugin Status', $this->text_domain); ?></b>: <span style="color:green;"><?php _e('Active', $this->text_domain); ?></span>
									
									<?php } else {
									wp_nonce_field( 'wow_nonce_'.$this->plugin_pref, 'wow_nonce_'.$this->plugin_pref ); ?>															
									
									<input type="submit" class="button-secondary" name="wow_license_activate_<?php echo $this->plugin_pref;?>" value="<?php _e('Activate License', $this->text_domain); ?>"/>
									<p/>
									<b><?php _e('Plugin Status', $this->text_domain); ?></b>: <span style="color:red;"><?php _e('Inactive', $this->text_domain); ?></span>
									
									<div  style="font-size:10px;font-style:italic;color:green;">
										<?php _e('Click the button "Activate License" to activate the plugin', $this->text_domain); ?>
										
									</div>
								<?php } ?>
							<?php } ?>
							
							<?php submit_button(); ?>
						</td>
					</tr>
				</table>
			</form>			
		</div>		
	</div>
</div>