<?php
/**
 * Public code
 *
 * @package     Wow_Plugin
 * @copyright   Copyright (c) 2018, Dmytro Lobov
 * @license     http://opensource.org/licenses/gpl-2.0.php GNU Public License
 * @since       1.0
 */
if ( !defined( 'ABSPATH' ) ) {
  exit;
}
include 'social_service.php';

// Popup for social share window
$popup_option = "width=550, height=450, top='+((screen.height-450)/2)+', left='+((screen.width-550)/2)+' scrollbars=0, resizable=1, menubar=0, toolbar=0, status=0";

$menu = '<div id="side-menu-pro-' . $val->id . '">';

$count_i = count( $param[ 'menu_1' ][ 'item_type' ] );
for ( $i = 0; $i < $count_i; $i++ ) {

  if ( !empty( $param[ 'menu_1' ][ 'item_custom' ][ $i ] ) ) {
    $custom_link = $param[ 'menu_1' ][ 'item_custom_link' ][ $i ];
    $icon = '<img src="' . $custom_link . '" width="' . $param[ 'iwidth' ] . '">';
  } else {
    $icon = '<i class="' . $param[ 'menu_1' ][ 'item_icon' ][ $i ] . '"></i>';
  }

  $name = $param[ 'menu_1' ][ 'item_tooltip' ][ $i ];
  if ( $param[ 'menu' ] == 'left' ) {
    $name = $name . ' <span class="sm-icon">' . $icon . '</span> ';
  } elseif ( $param[ 'menu' ] == 'right' ) {
    $name = '<span class="sm-icon">' . $icon . '</span> ' . $name;
  }

  $class = 'sm-item';
  $button_class = $param[ 'menu_1' ][ 'button_class' ][ $i ];
  $class_add = !empty( $button_class ) ? ' ' . $button_class : '';
  $button_id = $param[ 'menu_1' ][ 'button_id' ][ $i ];
  $id_add = !empty( $button_id ) ? ' id="' . $button_id . '"' : '';

  $link_param = $id_add . ' class="' . $class . $class_add . '"';

  $item_type = $param[ 'menu_1' ][ 'item_type' ][ $i ];


  switch ( $item_type ) {
    case 'link':
      $target = !empty( $param[ 'menu_1' ][ 'new_tab' ][ $i ] ) ? '_blank' : '_self';
      $link = 'window.open(\'' . $param[ 'menu_1' ][ 'item_link' ][ $i ] . '\', \'' . $target . '\')';
      $menu .= '<span ' . $link_param . ' onclick="' . $link . '">' . $name . '</span>';
      break;
    case 'share':
      $share_service = mb_strtolower( $param[ 'menu_1' ][ 'item_share' ][ $i ] );
      $share_link = $social_services[ $share_service ];
      if ( $share_service == 'email') {
        $menu .= '<span onclick="window.open(\'' . $share_link . '\', \'_self\')" ' . $link_param . '>' . $name . '</span>';
        break;
      }
      $popup_open = 'window.open(\'' . $share_link . '\', \'_blank\', \'' . $popup_option . '\');';
      $menu .= '<span onclick="' . $popup_open . '" ' . $link_param . '>' . $name . '</span>';
      break;
    case 'print':
      $menu .= '<span onclick="pageprint();" ' . $link_param . '>' . $name . '</span>';
      break;
    case 'login':
      $url = wp_login_url( $param[ 'menu_1' ][ 'item_link' ][ $i ] );
      $menu .= '<span ' . $link_param . ' onclick="window.open(\'' . $url . '\', \'_self\')">' . $name . '</span>';
      break;
    case 'logout':
      $url = wp_logout_url( $param[ 'menu_1' ][ 'item_link' ][ $i ] );
      $menu .= '<span ' . $link_param . ' onclick="window.open(\'' . $url . '\', \'_self\')">' . $name . '</span>';
      break;
    case 'register':
      $url = wp_registration_url();
      $menu .= '<span ' . $link_param . ' onclick="window.open(\'' . $url . '\', \'_self\')">' . $name . '</span>';
      break;
    case 'lostpassword':
      $url = wp_lostpassword_url( $param[ 'menu_1' ][ 'item_link' ][ $i ] );
      $menu .= '<span class="sm-item" onclick="window.open(\'' . $url . '\', \'_self\')">' . $name . '</span>';
      break;
    case 'totop':
      $menu .= '<span onclick="scrollToTop();" ' . $link_param . '>' . $name . '</span>';
      break;
    case 'smoothscroll':
      $link = $param[ 'menu_1' ][ 'item_link' ][ $i ];
      $menu .= '<span onclick="smoothscroll(\'' . $link . '\');" ' . $link_param . '>' . $name . '</span>';
      break;
    case 'shiftnav':
      $menu .= '<span class="sm-item shiftnav-toggle" data-shiftnav-target="shiftnav-main">' . $name . '</span>';
      break;
    case 'id':
      $item_id = $param[ 'menu_1' ][ 'item_modal' ][ $i ];
      $menu .= '<span class="sm-item" id="' . $item_id . '">' . $name . '</span>';
      break;
    case 'modal':
      $modal_id = $param[ 'menu_1' ][ 'item_modal' ][ $i ];
      $menu .= '<span class="sm-item" id="' . $modal_id . '">' . $name . '</span>';
      break;
    case 'class':
      $item_class = $param[ 'menu_1' ][ 'item_modal' ][ $i ];
      $menu .= '<span class="sm-item ' . $item_class . '">' . $name . '</span>';
      break;
    case 'email':
      $email = $param[ 'menu_1' ][ 'item_link' ][ $i ];
      if ( is_email( $email ) ) {
        $email = antispambot( $email );
      }
      $name = $param[ 'menu_1' ][ 'item_tooltip' ][ $i ];
      if ( is_email( $name ) ) {
        $name = antispambot( $name );
      }
      if ( $param[ 'menu' ] == 'left' ) {
        $name = $name . ' <span class="sm-icon">' . $icon . '</span> ';
      } elseif ( $param[ 'menu' ] == 'right' ) {
        $name = '<span class="sm-icon">' . $icon . '</span> ' . $name;
      }

      $link = 'window.open(\'mailto:' . $email . '\', \'_self\')';
      $menu .= '<span ' . $link_param . ' onclick="' . $link . '">' . $name . '</span>';
      break;
    case 'telephone':
      $link = 'window.open(\'tel:' . $param[ 'menu_1' ][ 'item_link' ][ $i ] . '\', \'_self\')';
      $menu .= '<span ' . $link_param . ' onclick="' . $link . '">' . $name . '</span>';
      break;

  }

}

$menu .= '</div>';

echo $menu;